from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XDataProvider(XInterface, Protocol):
    def createDataSourcePossible(self, aArguments: PropertyValue >) -> bool: ...
    def detectArguments(self, xDataSource: XDataSource) -> list[PropertyValue]: ...
    def createDataSequenceByRangeRepresentationPossible(self, aRangeRepresentation: str) -> bool: ...
    def getRangeSelection(self) -> XRangeSelection: ...
